## org.gnu.gtk
Class WidgetHelpType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.WidgetHelpType

public class WidgetHelpType
extends Enum

Field Summary
`static WidgetHelpType` `TOOLTIP`
`static WidgetHelpType` `WHATIS_THIS`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`WidgetHelpType` `and(WidgetHelpType other)`
`static WidgetHelpType` `intern(int value)`
`WidgetHelpType` `or(WidgetHelpType other)`
`boolean` `test(WidgetHelpType other)`
`WidgetHelpType` `xor(WidgetHelpType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOOLTIP

    public static final WidgetHelpType TOOLTIP

### WHATIS_THIS

    public static final WidgetHelpType WHATIS_THIS

Method Detail

### intern

    public static WidgetHelpType intern(int value)

### or

    public WidgetHelpType or(WidgetHelpType other)

### and

    public WidgetHelpType and(WidgetHelpType other)

### xor

    public WidgetHelpType xor(WidgetHelpType other)

### test

    public boolean test(WidgetHelpType other)